Skip to content

List feedback

GET
/api/v1/feedback
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/feedback?limit=50&offset=0' \
--header 'X-API-Key: <X-API-Key>'

List all feedback with optional filters. Admin only.

status
Any of:
string

Filter by status

feedback_type
Any of:
string

Filter by type

limit
Limit

Page size

integer
default: 50 >= 1 <= 100

Page size

offset
Offset

Page offset

integer
0

Page offset

Successful Response

Media typeapplication/json
FeedbackListResponse

Response body for paginated feedback listing.

Attributes: items: List of feedback records. total: Total count matching the filter.

object
items
required
Items
Array<object>
object
key
additional properties
any
total
required
Total
integer
Examplegenerated
{
"items": [
{}
],
"total": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}